Wstęp

Rainbow Folders jest unikalnym programem pozwalającym zmienić kolor ikony reprezentującej wybrany folder. Krótko mówiąc: program ten pozwoli Ci pokolorować Twoje foldery ! Tego typu operacja z pewnością ułatwi Ci nawigację pośród setek bądź tysięcy folderów znajdujących się na Twoim dysku. Chcesz oznaczyć często odwiedzane foldery na zielono, foldery związane z pracą lub nauką na niebiesko zaś foldery w których przechowujesz osobiste dokumenty lub zdjęcia na czerwono ? Nie ma problemu. Rainbow Folders umożliwia pokolorowanie dowolnej liczby folderów na dowolne - wybrane przez Ciebie - kolory. Pokolorowane foldery widoczne są w każdym oknie Eksploratora, każdym dialogu zapisu/otwierania plików i w każdym drzewie katalogów spotykanym w wielu programach. Dodatkowo aplikacja ta pozwala zarządzać listą ulubionych, często używanych kolorów a foldery można kolorować korzystając z menu podręcznego Eksploratora. Możesz także dodać do wybranego folderu dodatkowy opis, bądź zabezpieczyć go przed przypadkowym skasowaniem. To wszystko i jeszcze więcej, daje Ci Rainbow Folders.

Zachęcam do zapoznania się z całą dokumentacją programu oraz z jego Licencją.


Możliwości

Rainbow Folders daje wiele możliwości, które czynią go unikalnym programem:

- pozwala zmieniać kolor folderu na dowolny, ikona folderu jest generowana na bieżąco a nie jest jedną z wcześniej utworzonych, dzięki czemu ikony prezentują się dobrze w każdym z używanych obecnie rozmiarów takich jak: 16x16, 32x32 i 48x48 pikseli,

- obsługiwane są trzy style ikon: Klasyczny (znany m.in. z Windows 95), Typowy (znany m.in. z Windows XP) oraz Nowoczesny (znany z Windows Vista), a dla każdego ze stylów dodatkowo istnieje możliwość wybrania jednej z pośród dwóch wariacji,

- zmienione ikony folderów widoczne są w całym systemie, a ich zmiana jest w pełni bezpieczna ponieważ wykorzystuje tą samą metodę dzięki której np. folder Ulubione posiada unikalną ikonę, ponadto ciągła praca programu w tle nie jest wymagana,

- możesz dodać do wybranego folderu opis pojawiający się w dymku podpowiedzi widocznym po zatrzymaniu kursora nad ikoną danego folderu, możliwe jest także zabezpieczenie danego folderu przed jego przypadkowym skasowaniem,

- umożliwia zarządzanie listą ulubionych kolorów,

- foldery mogą być kolorowane z wykorzystaniem wygodnej pozycji w menu kontekstowym Eksploratora,

- działa na prawie każdym systemie z rodziny Windows: 98, 98 SE, ME, 2000, XP, 2003, Vista,

- nie wymaga instalacji, nie pozostawia żadnych śmieci w Rejestrze, jest mniejszy niż 1 MB, jest więc w pełni przenośny,

- jest darmowy (patrz Licencja).


Licencja

Program Rainbow Folders rozpowszechniany jest na licencji Postcardware. Oznacza to, że możesz go używać za darmo przez nieograniczony okres czasu, jeśli jednak spodoba Ci się na tyle, iż byłbyś gotów za niego zapłacić - możesz zarejestrować go poprzez wysłanie mi pocztówki np. przedstawiającej Twoje miasto. Jeśli Twoja miejscowość nie ma własnej pocztówki możesz wysłać mi pocztówkę z dowolnego najbliższego miasta. Oczywiście było by dobrze gdybyś napisał na tej pocztówce coś miłego. Adres pod jaki można wysyłać pocztówki znaleźć można w sekcji Kontakt. Jeśli chcesz, możesz do pocztówki także dołączyć jakąś skromną sumę pieniędzy lub jakiś inny mały przedmiot, który zmieści się do koperty razem z pocztówką. Oczywiście pamiętaj, że w takim wypadku robisz to tylko i wyłącznie z własnej woli gdyż rejestracja polega na wysłaniu tylko samej pocztówki. Zauważ, że po zarejestrowaniu programu nie otrzymasz żadnego kodu czy klucza - rejestracja ma wyłącznie znaczenie symboliczne.

Możesz także rozdawać program znajomym czy rodzinie pod warunkiem przekazywania tylko i wyłącznie archiwum ZIP w formie niezmodyfikowanej. To samo dotyczy uploadu na dowolny serwer FTP bądź stronę WWW. Publikacja programu na płycie CD/DVD dołączonej do dowolnego pisma wymaga zgody autora (patrz sekcja Kontakt).

Zakazuje się dekompilacji, disassemblacji lub jakichkolwiek innych zabiegów mających na celu poznanie zasad wewnętrznego działania programu lub jego modyfikację.

Program został bardzo szczegółowo przetestowany, mimo to w wypadku wystąpienia jakichkolwiek szkód na komputerze użytkownika, w jego systemie, innym oprogramowaniu bądź reputacji użytkownika autor nie ponosi żadnej odpowiedzialności z tego tytułu.

Rainbow Folders copyright (c) 2002 - 2007 Piotr Chodziński. Wszelkie prawa zastrzeżone.


Instalacja

Rainbow Folders nie wymaga praktycznie żadnej instalacji. Wystarczy, że wypakujesz zawartość pobranego archiwum ZIP do nowo utworzonego przez Ciebie katalogu, którego lokacja jest obojętna (np. podkatalog Programy\Rainbow Folders umieszczony w Moich Dokumentach). W danym katalogu znajdziesz plik pomocy (Rainbow Folders.chm) który aktualnie czytasz, kilka plików o rozszerzeniu LNG będących plikami językowymi oraz główny plik wykonywalny (Rainbow Folders.exe). Przy pierwszym uruchomieniu programu zostaniesz poproszony o wybór języka, który będzie używany przy jego kolejnych uruchomieniach.

Wszystkie ustawienia przechowywane są w kilku plikach INI znajdujących się w katalogu programu, nie są także dokonywane żadne wpisy do Rejestru bez Twojej wiedzy. Stąd też możesz łatwo przenosić program np. na pendrivie, zaś jego deinstalacja polega tylko na skasowaniu utworzonego wcześniej katalogu (możesz także odkolorować wszystkie pokolorowane wcześniej foldery, jednak nie jest to konieczne).


Główne okno

Główne okno programu zawiera szereg opisanych poniżej opcji.

Główne okno programu

Folder > Drzewo folderów - standardowe systemowe drzewo folderów umożliwia wybór folderu do którego odnosić będzie się operacja zainicjowana użyciem jednego z przycisków znajdujących się w grupie Operacja. Umieszczona poniżej tego pola etykieta pokazuje ścieżkę do obecnie zaznaczonego folderu, bądź - w przypadku gdy pole Wybór wielokrotny jest zaznaczone - ilość wybranych folderów.

Folder > Wybór wielokrotny - jeżeli pole to zostanie zaznaczone to Drzewo folderów zaopatrzone zostanie w pola umożliwiające jednoczesny wybór wielu folderów.

Operacja > Pokoloruj - koloruje wybrany w Drzewie folderów folder/foldery z wykorzystaniem koloru wybranego w grupie Kolor i stylu wybranego w grupie Styl.

Operacja > Odkoloruj - przywraca oryginalny kolor i styl wybranemu w Drzewie folderów folderowi/folderom.

Operacja > Pobierz kolor - umożliwia pobranie koloru zaznaczonego w Drzewie folderów folderu celem późniejszego wykorzystania. Pobranie koloru możliwe jest jeżeli folder został pokolorowany z użyciem programu Rainbow Folders w wersji 2.00 lub nowszej.

Inne > Opcje - otwiera Dialog Opcje, umożliwiający zmianę konfiguracji programu.

Inne > Informacje - otwiera dialog Informacje zawierający informacje dotyczące numeru wersji programu oraz kontaktu z autorem (czyli ze mną :).

Inne > Pomoc - otwiera plik pomocy który właśnie czytasz.

Podgląd - pole to umożliwia podgląd na bieżąco przyszłego wyglądu folderu który zostanie pokolorowany korzystając z aktualnych ustawień. Wyświetlane są trzy ikony w rozmiarze kolejno: 16x16, 32x32 i 48x48 pikseli.

Styl > Styl ikon - pole to umożliwia wybór stylu ikony. Zawiera trzy pozycje: Klasyczny (styl znany z Windows 95, 98, 98 SE, ME i 2000), Typowy (styl znany z Windows XP i 2003) i Nowoczesny (styl znany z Windows Vista). Nie musisz wcale używać stylu pokrywającego się z aktualnie używanym systemem operacyjnym.

Styl > Ikony o wysokim kontraście - jeżeli pole to zostanie zaznaczone użyte zostaną ikony o podwyższonym kontraście w stosunku do tych wykorzystywanych w Rainbow Folders w wersji poniżej 2.00. W przypadku ikon folderów pokolorowanych z wykorzystaniem stylu Klasycznego i ikon o wysokim kontraście będą one bliższe tym używanym w systemie Windows 98, 98 SE, ME i 2000 (ale nie 95).

Kolor > Odcień - określa odcień koloru pokolorowanego folderu. Odcień zmieniać można z wykorzystaniem suwaka (obsługiwanego za pomocą klawiatury lub myszy) oraz umieszczonego obok pola edycji.

Kolor > Nasycenie - określa nasycenie koloru pokolorowanego folderu. Nasycenie zmieniać można z wykorzystaniem suwaka (obsługiwanego za pomocą klawiatury lub myszy) oraz umieszczonego obok pola edycji.

Kolor > Losowy - wykorzystując ten przycisk możesz wybrać losowy kolor folderu, jeżeli akurat nie możesz znaleźć odpowiadającego Ci koloru.

Kolor > Ulubione - przycisk ten otwiera Dialog Ulubione umożliwiający korzystanie z kolekcji ulubionych kolorów.

Zaawansowane > Tekst podpowiedzi - w pole to należy wpisać treść podpowiedzi, która będzie widoczna w dymku po zatrzymaniu kursora nad ikoną danego folderu.

Zaawansowane > Ostrzegaj przy usuwaniu - jeżeli pole to zostanie zaznaczone to przy próbie usunięcia pokolorowanego folderu z użyciem Eksploratora pojawi się dodatkowy dialog ostrzegający przed przypadkowym usunięciem.


Dialog Ulubione

Dialog ten umożliwia zarządzanie kolekcją ulubionych kolorów. Wszystkie zawarte w nim opcje zostały opisane poniżej.

Dialog Ulubione

Lista kolorów - lista ta zawiera trzy kolumny: Opis, Odcień i Nasycenie. Pierwsza z nich zawiera próbkę danego koloru oraz jego opis podany przez użytkownika, druga i trzecia zawierają odpowiednio wartość odcienia i nasycenia danego koloru. Dwuklik bądź użycie klawisza Enter podczas gdy zaznaczona jest jedna z pozycji ma takie samo działanie jak użycie przycisku Wybierz.

Wybierz - zamyka dialog i ustawia wybrany w nim kolor jako aktywny kolor w Głównym oknie programu. Podgląd także zostaje od razu odświeżony.

Dodaj - dodaje wybrany aktualnie w Głównym oknie programu kolor do Listy kolorów pytając jednocześnie o jego opis jaki widoczny będzie w kolumnie Opis.

Usuń - usuwa zaznaczoną aktualnie na Liście kolorów pozycję.

Do góry - przenosi o jedno miejsce w górę zaznaczoną aktualnie na Liście kolorów pozycję.

W dół - przenosi o jedno miejsce w dół zaznaczoną aktualnie na Liście kolorów pozycję.

Sortuj - sortuje Listę kolorów alfabetycznie według opisu każdej z pozycji.

Eksportuj - zapisuje zawartość Listy kolorów do pliku RFF umożliwiając m.in. przeniesienie jej na inny komputer.

Importuj - wczytuje zawartość Listy kolorów z pliku RFF.

Pomoc - otwiera plik pomocy na temacie, który aktualnie czytasz.

Zamknij - zamyka dialog.


Dialog Opcje

Dialog Opcje daje dostęp do opisanych poniżej opcji.

Dialog Opcje

Systemowy cache ikon > Odbuduj - system Windows przechowuje ikony w cache'u co umożliwia ich szybkie wyświetlanie bez konieczności ponownego odczytu plików ikon z dysku. Jeżeli cache ikon przepełni się, systemowe ikony - włączając w to ikony pokolorowanych folderów - mogą zostać wymieszane i błędnie wyświetlane. Użycie tego przycisku odbudowuje cache ikon przywracając ich poprawne wyświetlanie.

Język - pole wyboru zawiera listę dostępnych języków. Przycisk Zmień wymusza załadowanie wybranego pliku językowego po restarcie aplikacji.

Rozszerzenie powłoki systemowej > Opis pozycji - opis pozycji dostępnej w menu kontekstowym Eksploratora po zainstalowaniu rozszerzenia powłoki systemowej.

Rozszerzenie powłoki systemowej > Zainstaluj - instaluje rozszerzenie umożliwiające szybki dostęp do programu dzięki dodatkowej pozycji w menu kontekstowym Eksploratora, widocznej kiedy zaznaczony jest folder.

Rozszerzenie powłoki systemowej > Odinstaluj - usuwa zainstalowane wcześniej rozszerzenie.

Pomoc - otwiera plik pomocy na temacie, który aktualnie czytasz.

Zamknij - zamyka dialog.


Historia wersji

Poniżej zamieszczona została lista zmian i poprawek wprowadzanych w kolejnych wersjach programu.

Wersja 2.01 (4 września 2007)

Nowości: obsługa języka włoskiego i czeskiego.
Poprawki: lepsza obsługa plików ikon - eliminacja 'błędu czarnego tła', inne drobne poprawki w programie i pliku pomocy.

Wersja 2.00 (15 sierpnia 2007)

Nowości: program napisany od nowa, obsługa trzech rozmiarów ikon w jednym pliku dzięki czemu niezależnie od wybranego rozmiaru ikon w systemie ich krawędzi powinny być ostre, system obsługi ulubionych kolorów, możliwość kolorowania wielu folderów jednocześnie, pobieranie kolorów pokolorowanych folderów, ikony w stylu Nowoczesny i o wysokim kontraście, losowanie kolorów, odbudowa cache'u ikon, rozszerzenie powłoki systemowej, obsługa Wizualnych Stylów, plik pomocy w formacie CHM.
Poprawki: szybsze nadawanie odpowiednich atrybutów folderom dzięki zastosowaniu odpowiednich funkcji API zamiast odwołań do wiersza poleceń, udoskonalona metoda wyboru koloru, nowy system tłumaczenia interfejsu oparty o pliki językowe, lepszy automatycznie odświeżany podgląd.

Wersja 1.02 (19 lutego 2003)

Nowości: obsługa języka niemieckiego.
Poprawki: usuwanie starych plików ikon przy ponownym kolorowaniu tego samego folderu.

Wersja 1.01 (26 października 2002)

Nowości: obsługa języka włoskiego.
Poprawki: wyświetlanie pliku pomocy uniezależnione od wersji językowej systemu operacyjnego.

Wersja 1.00 (30 września 2002)

Nowości: pierwsza wersja programu.


Podziękowania

Specjalne podziękowania należą się poniższym osobom. To właśnie dzięki nim Rainbow Folders wygląda tak jak wygląda :). Dziękuję Wam bardzo !

Wes Turner - moduł Icon To File, którego użyłem do obsługi zapisu ikon oraz pomoc przy eliminacji 'błędu czarnego tła'.

Graham Marsh - moduł RGB To HSL Utilities, który wykorzystałem w procesie kolorowania ikon oraz do obsługi systemu ulubionych kolorów.

Jim Kueneman - komponent Virtual Explorer Treeview, który posłużył za drzewo folderów w głównym oknie programu.

Roger Ibanez, Frederic Sigonneau - komponenty do obsługi tłumaczenia interfejsu programu, na podstawie których napisałem własny komponent do tego przeznaczony.

Roberto Correzzola - włoskie tłumaczenie programu.

Honza Palaj - czeskie tłumaczenie programu oraz pomoc przy eliminacji 'błędu czarnego tła'.

Thomas Tiede - niemieckie tłumaczenie poprzedniej wersji programu.

Wojciech Czusz - nowa ikona programu.

Justyna Chodzińska - m.in. korekta tego pliku pomocy.

Użytkownicy programu Rainbow Folders - uwagi odnośnie programu a także tysiące pocztówek i e-maili z podziękowaniami.


Tłumaczenie programu

Jeśli chcesz przetłumaczyć interfejs programu na inny język wystarczy, że: skopiujesz plik 'English (English).lng', zmienisz mu nazwę zgodnie z formatem: <nazwa języka w Twoim języku><spacja>(<nazwa języka po angielsku>).lng, a następnie przetłumaczysz zawartość. Pomimo rozszerzenia pliki LNG są zwykłymi plikami tekstowymi, więc możesz je edytować używając np. Notatnika. Zawartość pliku ma postać <nazwa>=<wartość>, pamiętaj aby przetłumaczyć tylko wartości a pominąć tłumaczenie nazw i wartości w nawiasach kwadratowych. Znaki takie jak '%d' są zamieniane przez program w trakcie działania na odpowiednie liczby, więc nie usuwaj ich. Po przetłumaczeniu pliku wypróbuj go wybierając język w Dialogu Opcje, a następnie w razie potrzeby zamień nie mieszczące się na przyciskach słowa na ich krótsze odpowiedniki i ponownie wypróbuj. Pamiętaj aby przesłać plik do mnie, a wtedy będę mógł dołączyć go do kolejnej wersji programu lub zamieścić na mojej stronie.


Kontakt

Jeśli masz jakieś uwagi dotyczące programu, znalazłeś błąd, przetłumaczyłeś program na inny język lub z jakiejkolwiek innej przyczyny chcesz się ze mną skontaktować, pisz na poniższy adres. Na każdy list na pewno odpowiem !

aionel@poczta.onet.pl lub aionel@aionel.net

Odwiedź także moją stronę domową na której znajdziesz inne ciekawe programy mojego autorstwa:

www.aionel.net lub www.republika.pl/programyaionela

Pocztówki (patrz Licencja) możesz wysłać na adres:

Piotr Chodziński
ul. Jasna 4/3
44-122 Gliwice


Introduction

Rainbow Folders is a unique application that allows you to change color of any icon representing any folder. To make it short: with this program you can colorize your folders ! Such operation will speed up your navigation among thousands of folders located on your hard drive. Would you like to mark your favorite folders with green color, your work or school folders with blue, and your personal documents and photos folders with red ? No problem. With Rainbow Folders you can colorize as many folders as you want using any color of your choice. Such colorized folders are visible in every Explorer window, every open/save dialog and in every folder selection tree as seen in many programs. In addition you can manage your favorite colors and colorize folders using Explorer context menu item. You can also add a custom hint or secure a folder from deleting it by mistake. This and much more can be done with the help of Rainbow Folders.

I'd like you to read the documentation carefully, including License.


Features

Rainbow Folders has few interesting features that are worth mentioning:

- allows you to change folder color to any color, new folder icon is generated in real time each time you are colorizing a folder so it looks good in each of these sizes: 16x16, 32x32 and 48x48 pixels,

- there are three icon styles supported: Classical (as in e.g. Windows 95), Typical (as in e.g. Windows XP) and Modern (as in Windows Vista), for each of those styles you can also choose alternative version,

- colorized folders are visible in whole system, also colorizing folders is safe because it's exactly same method as used by the system to modify various system folders (e.g. Favorites) icons, plus the program doesn't need to run all the time in background for the changed icons to be visible,

- you can add custom tooltip text visible after hovering mouse over folder for few seconds, also it is possible to add warning message protecting from accidental folder delete,

- you can create and manage favorite color list,

- folders can be colorized using additional item found in the Explorer context menu,

- works with almost all versions of Windows such as: 98, 98 SE, ME, 2000, XP, 2003, Vista,

- doesn't require installation, doesn't leave any trash in Registry, it's much smaller than 1 MB - so it's fully portable,

- it's free (see License).


License

Rainbow Folders is distributed under Postcardware license. That means that you can use it for free for unlimited time period, but if you like it so much that you would like to register it - you can do that by sending me a postcard. This postcard can show e.g. your city. If your town doesn't have any postcards you can send me a one from any nearby city. Note that only real (non-virtual) postcards counts, since I am collecting them. Of course I'd love if you could write something nice on the back side of the postcard. My postal address can be found in the Contact section. Feel free to attach a small amount of money or any other small item that will fit into an envelope (e.g. a fancy coin from your country). But in this case remember that you are doing it only from your own free will, as the only required condition for registration is sending me at least one postcard. Note, that after registration you will not get any serial number or anything like that - this registration has purely symbolic meaning only.

You can distribute this application freely under one condition: you can only redistribute full, unmodified ZIP archive. This condition applies also for uploading this program to any FTP server or WWW site. Publishing this program on any cover CD/DVD attached to a commercial computer magazine requires author permission (see Contact section).

You mustn't decompile, disassembly or take any other actions aiming at modification of this program.

This application was carefully tested, but the author doesn't take responsibility for any possible damages done to your computer, system, other software or reputation.

Rainbow Folders copyright (c) 2002 - 2007 Piotr Chodzinski. All rights reserved.


Installation

Rainbow Folders doesn't require any installation at all. Just extract all files from the downloaded ZIP archive to a newly created folder of your choice (e.g. My Documents subfolder called Programs\Rainbow Folders). In the folder you will find help file (Rainbow Folders.chm, you are currently reading it), few language files with LNG extension and main executable file (Rainbow Folders.exe). When launching program for the first time you will be asked to choose a language that will be used during all next runs.

All settings are stored in few INI files located in the program folder and there are no system Registry entries written without your knowledge. So this software is fully portable - feel free to copy it on any removable device such as pendrive. If you would like to uninstall it just delete the folder you have created earlier (you can also decolorize all colorized folders before doing this but this is not required).


Main window

Program main window contains set of controls described below.

Program main window
(screenshot from the Polish version)

Folder > Folders tree - standard system folder tree which allows you to choose a folder that will be used for the operation initiated using one of the buttons from the Operation group. Label below shows currently selected folder or - when Multiple select is checked - number of currently selected folders.

Folder > Multiple select - if this checkbox is checked Folder tree will have additional checkboxes placed next to every branch allowing you to select more than one folder at the time.

Operation > Colorize - colorizes folder/folders selected in the Folder tree using color selected in the Color group and style selected in the Style group.

Operation > Decolorize - restores original folder color to folder/folders selected in the Folder tree.

Operation > Extract color - allows you to extract color from the folder selected in the Folder tree. This color can be used later e.g. to colorize other folders. Color can be extracted only if selected folder was colorized using Rainbow Folders version 2.00 or later.

Others > Options - opens Options dialog, in which you can change various program settings.

Others > About - opens About dialog that contains information such as program version number, short license and author (that's me :) contact info.

Others > Help - opens help file that you're currently reading.

Preview - this box contains preview of future folder look after using current settings to colorize. Icons are displayed in three sizes: 16x16, 32x32 and 48x48 pixels.

Style > Icon style - using this combo box you can change the style of icons. You can select from Classical (icon style similar to the one from Windows 95, 98, 98 SE, ME and 2000), Typical (like in Windows XP and 2003) and Modern (like in Windows Vista). You can choose different style than the one used in your operating system version.

Style > High contrast icons - if this checkbox is checked higher contrast icons will be used (comparing to icons found in Rainbow Folders below version 2.00). When using Classical style icons along with this option, folder icons will look more like those in Windows 98, 98 SE, ME and 2000 (but not in 95).

Color > Hue - allows you to select hue of color used to colorize folders. You can use slider (controlled with keyboard or mouse) or edit box placed next to slider to choose hue value.

Color > Saturation - allows you to select saturation of color used to colorize folders. You can use slider (controlled with keyboard or mouse) or edit box placed next to slider to choose saturation value.

Color > Random - if you can not find a satisfying color, use this button to get a random one.

Color > Favorites - opens Favorites dialog that allows you to use and manage favorite color list.

Advanced > Tooltip text - enter tooltip text here that will appear when you hover your mouse for few seconds over selected folder icon.

Advanced > Warn when deleting - if this checkbox is checked you will see a warning dialog when deleting colorized folder using Explorer. This can be used to protect you from deleting important folders by mistake.


Favorites dialog

This dialog allows you to use and manage favorite colors collection. All options have been described below.

Favorites dialog
(screenshot from the Polish version)

Color list - a list containing three columns: Description, Hue and Saturation. First column displays sample and description of each color, second and third contain hue and saturation values for that color. Double-clicking or using Enter key when one of items is selected will have the same effect as using Select button.

Select - closes this dialog and sets selected color as the active color in the program Main window. Preview will be refreshed automatically.

Add - adds active color from the Main window to the Color list. You will be prompted for the description.

Delete - removes currently selected item from the Color list.

Move up - moves selected Color list item up.

Move down - moves selected Color list item down.

Sort - sorts Color list alphabetically based on the description of each item.

Export - saves contents of the Color list as RFF (Rainbow Folders Favorites) file for future use, allowing you to e.g. move it to another computer.

Import - loads contents of the Color list from the selected RFF file.

Help - opens help file displaying topic that you are currently reading.

Close - closes this dialog.


Options dialog

Below you will find description of all options found in the Options dialog.

Options dialog
(screenshot from the Polish version)

System icon cache > Rebuild - Windows caches all displayed icons to speed-up loading them without re-reading from the hard disk every time they are need. Sometimes icon cache gets corrupted and all system icons - including icons of colorized folders - are improperly displayed. Rebuilding icon cache will solve the problem.

Language - this combo box contains list of available languages. Use the Change button to switch to one of them after application restart.

Shell extension > Item caption - caption of item added by the shell extension to the Explorer context menu.

Shell extension > Install - installs system shell extension allowing you to quickly launch program using Explorer context menu item (visible only with folder selected).

Shell extension > Uninstall - removes installed shell extension.

Help - opens help file displaying topic that you are currently reading.

Close - closes this dialog.


Version history

You can find a list of bugfixes and new features available in each program version.

Version 2.01 (4th September 2007)

New features: Italian and Czech language support.
Bugfixes: better icon files handling - elimination of the 'black background bug', other minor fixes in the program and help file.

Version 2.00 (15th August 2007)

New features: full program rewrite, support for three sizes of icons so that whatever size you're using icon edges should always look good, favorite colors system, colorizing and decolorizing multiple folders at the same time, color extraction, Modern style icons and high contrast icons, random colors, cache icon rebuilding, system shell extension, Visual Styles support, help file in CHM format.
Bugfixes: faster folder attribute change using proper system APIs and not command line system, better color selection controls, new language files based translation system, better automatic preview.

Version 1.02 (19th February 2003)

New features: German language support.
Bugfixes: deleting old icon files when colorizing same folder again.

Version 1.01 (26th October 2002)

New features: Italian language support.
Bugfixes: help file is now operating system language independent.

Version 1.00 (30th September 2002)

New features: first program version.


Special thanks

Special thanks goes to few persons listed below. Because of them Rainbow Folders was able to have it current look and feel :). Thank you all !

Wes Turner - Icon To File unit, used to save icon files and help with eliminating 'black background bug'.

Graham Marsh - RGB To HSL Utilities unit, used in colorize process and favorite colors system.

Jim Kueneman - Virtual Explorer Treeview component, used as system folders tree in main window.

Roger Ibanez, Frederic Sigonneau - translation components used as a base for creating my own component used for that purpose.

Roberto Correzzola - Italian program translation.

Honza Palaj - Czech program translation and help with eliminating 'black background bug'.

Thomas Tiede - German translation of earlier program version.

Wojciech Czusz - new program icon.

Justyna Chodzinska - mainly correction of this help file.

All Rainbow Folders users - useful suggestions and thousands of registration postcards and e-mails.


Program translation

If you would like to translate interface of this program to your language, you need to: make a copy of 'English (English).lng' file, rename it according to the following key: <name of a language in your language><space>(<name of a language in English>).lng, and then simply translate contents of this file. Do not worry, LNG file is a simple text file so you can use e.g. Notepad. Each line in the file has <name>=<value> form, remember to translate only values and ignore everything between square brackets. Symbols such as '%d' are replaced with numbers during runtime, so do not remove them. After translating language file, choose it in the Options dialog, and change any too long word to a shorter one when needed. Remember to send me this file so I can post it on my website or include it with the next release of the program.


Contact

If you have any suggestions, you have found a bug, you have translated this program to another language or simply want to contact me for any other reason - feel free to write to one of those e-mail addresses. I will reply to every letter !

aionel@poczta.onet.pl or aionel@aionel.net

Also feel free to visit my website, where you will find newest version of this program and other programs written by me:

www.english.aionel.net

You can send your postcards (see License section for more details) to the address below:

Piotr Chodzinski
ul. Jasna 4/3
44-122 Gliwice
Poland


Rainbow Folders

Pomoc po polsku

Help in English